var emojisRegex = /(?:[\u2700-\u27bf]|(?:\ud83c[\udde6-\uddff]){2}|[\ud800-\udbff][\udc00-\udfff])[\ufe0e\ufe0f]?(?:[\u0300-\u036f\ufe20-\ufe23\u20d0-\u20f0]|\ud83c[\udffb-\udfff])?(?:\u200d(?:[^\ud800-\udfff]|(?:\ud83c[\udde6-\uddff]){2}|[\ud800-\udbff][\udc00-\udfff])[\ufe0e\ufe0f]?(?:[\u0300-\u036f\ufe20-\ufe23\u20d0-\u20f0]|\ud83c[\udffb-\udfff])?)*/g;
// Add the styling required to fix emojis
var css = document.createElement('style');
css.innerHTML = ".fixed-emoji { font-weight: normal; }";
document.head.appendChild(css);
export default function fixEmojis(selector) {
    // Go through all of the elements
    document.querySelectorAll(selector).forEach(function (tag) {
        // Get the inner html for the emoji
        var html = tag.innerHTML;
        // Find all of the emojis
        var emojis = html.match(emojisRegex);
        // If emojis were found
        if (emojis) {
            // Go through each emoji, replace it with a span called 'fixed-emoji'
            for (var _i = 0, emojis_1 = emojis; _i < emojis_1.length; _i++) {
                var emoji = emojis_1[_i];
                html = html.replace(emoji, "<span class=\"fixed-emoji\">".concat(emoji, "</span>"));
            }
            // Update the HTML
            tag.innerHTML = html;
        }
    });
}
//# sourceMappingURL=index.js.map